--- title: "Create usage plan" slug: "apigateway-usageplan-createusageplan" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-usageplan-createusageplan" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create usage plan Available in Classic and VPC Create a usage plan according to the user-defined conditions. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /api/v1/usage-plans | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request syntax The request syntax is as follows. ``` { "monthQuotaRequest" : 1, "dayQuotaRequest" : 6, "usagePlanDescription" : "usagePlanDescription", "rateRps" : 0, "quotaCondition" : "quotaCondition", "usagePlanName" : "usagePlanName" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `monthQuotaRequest` | Long | Conditional | Monthly request processing limit (cases/month) - 0 - 9,223,372,036,854,775,807 - Required when entering `dayQuotaRequest` | | `dayQuotaRequest` | Long | Conditional | Daily request processing limit (cases/day) - 1 - 9,223,372,036,854,775,807 - Required when entering `monthQuotaRequest` | | `usagePlanDescription` | String | Optional | Description for the usage plan to create - 0 - 50 characters | | `rateRps` | Long | Optional | Request throughput (cases/second) - 1 - 2,147,483,647 | | `quotaCondition` | String | Optional | Usage control conditions - `2xx` \| `3xx` \| `4xx` \| `5xx` \| `others` | | `usagePlanName` | String | Required | Name of usage plan to create - 0 - 45 characters | ### Request example The following is a sample request. ``` curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/usage-plans' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "monthQuotaRequest": 10, "dayQuotaRequest": 5, "usagePlanDescription": "usage plan", "rateRps": 2, "quotaCondition": "2xx", "usagePlanName": "usageplan000" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "usagePlan" : { "domainCode" : "domainCode", "usagePlanId" : "usagePlanId", "modifier" : "modifier", "associatedStagesCount" : 0, "dayQuotaRequest" : 6, "permission" : "permission", "rateRps" : 5, "usagePlanName" : "usagePlanName", "monthQuotaRequest" : 1, "tenantId" : "tenantId", "disabled" : true, "usagePlanDescription" : "usagePlanDescription", "quotaCondition" : "quotaCondition", "actionName" : "actionName" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "usagePlan": { "tenantId": "***e230cebc1402ba89b148896951***", "usagePlanId": "***wthl***", "rateRps": 2, "usagePlanName": "usageplan000", "usagePlanDescription": "usage plan", "dayQuotaRequest": 5, "quotaCondition" : "2xx", "monthQuotaRequest": 10, "domainCode": "PUB", "associatedStagesCount": 0 } } ```